Name:           python-cppclean
Version:        0.13
Release:        0%{?dist}.4sunshine
Summary:        Find problems in C++ source that slow development of large code bases.

License:        ASL 2.0
URL:            https://github.com/myint/cppclean
Source0:        %{pypi_source cppclean}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
cppclean attempts to find problems in C++ source that slow development in
large code bases, for example various forms of unused code. Unused code can
be unused functions, methods, data members, types, etc to unnecessary
include directives. Unnecessary includes can cause considerable extra
compiles increasing the edit-compile-run cycle.}


%description %_description

%package -n     python3-cppclean
Summary:        %{summary}

%description -n python3-cppclean %_description


%prep
%autosetup -p1 -n cppclean-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cpp


%files -n python3-cppclean -f %{pyproject_files}
%doc README.rst
%license COPYING
%{_bindir}/cppclean


%changelog
* Tue Jan 3 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 0.13-0.4sunshine
- fix License tag
- add a proper description
- use %%pyproject_save_files in %%install
- add a proper %%files section

* Sun Jan 2 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.13-0.3sunshine
- drop python macros not working

* Sun Jan 2 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.13-0.1sunshine
- initial RPM package generated with pyp2spec. slightly modified
